## org.eclipse.emf.ecore.sdo.util
Class SDOUtil.Accessor.TokenList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<java.lang.String>
                  org.eclipse.emf.ecore.sdo.util.SDOUtil.Accessor.TokenList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.String>, java.util.Collection<java.lang.String>, java.util.List<java.lang.String>, java.util.RandomAccess, EList<java.lang.String>

Enclosing class:
  SDOUtil.Accessor

    protected static class SDOUtil.Accessor.TokenList

extends BasicEList<java.lang.String>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SDOUtil.Accessor.TokenList(char[] path)`

Method Summary
`protected boolean` `canContainNull()`
`protected void` `endToken(java.lang.StringBuffer token, boolean includeEmpty)`
`protected java.lang.Object[]` `newData(int capacity)`
`java.lang.String` `peek()`
`java.lang.String` `peek(int index)`
`SDOUtil.Accessor.TokenList` `pop()`
`SDOUtil.Accessor.TokenList` `pop(int count)`

Methods inherited from class org.eclipse.emf.common.util.BasicEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, clear, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, indexOf, isEmpty, isUnique, iterator, lastIndexOf, listIterator, listIterator, move, move, remove, remove, removeAll, resolve, retainAll, set, setData, setUnique, shrink, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`subList`

Constructor Detail

### SDOUtil.Accessor.TokenList

    public SDOUtil.Accessor.TokenList(char[] path)

Method Detail

### peek

    public java.lang.String peek()

### peek

    public java.lang.String peek(int index)

### pop

    public SDOUtil.Accessor.TokenList pop()

### pop

    public SDOUtil.Accessor.TokenList pop(int count)

### endToken

    protected void endToken(java.lang.StringBuffer token,
                            boolean includeEmpty)

### canContainNull

    protected boolean canContainNull()

  Overrides:
    `canContainNull` in class `BasicEList<java.lang.String>`

### newData

    protected java.lang.Object[] newData(int capacity)

  Overrides:
    `newData` in class `BasicEList<java.lang.String>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.